Skip to main content
POST
Restore a library from trash

Authorizations

Authorization
string
header
required

Gumnut API key (apikey_...) sent as a Bearer token in the Authorization header. Create and manage keys in the Gumnut app, or with the API key endpoints while signed in to it.

Path Parameters

library_id
string
required

Library ID (with lib_ prefix) of the trashed library to restore.

Response

Successful Response

Represents a user's photo library.

id
string
required

Unique library identifier with 'lib_' prefix

name
string
required

Display name of the library

user_id
string
required

ID of the user who owns this library

asset_count
integer
required

Total number of assets in this library

storage_used_bytes
integer
required

Bytes of assets currently stored in this library

created_at
string<date-time>
required

When this library was created

updated_at
string<date-time>
required

When this library was last updated

description
string | null

Optional description text for the library

storage_limit_bytes
integer | null

Maximum bytes this library may store, or null if no per-library limit applies